/* カテゴリー別固定ページ、個別ページ共通 */

html {
  font-size: 100%;
}

body {
  margin: 0;
  padding: 0;
  max-width: 100%;
  min-height: 100vh;
  overflow-x: hidden; /* 追加: 横スクロールを防止 */
  background-image:none;
}

a {
  color: #333;
  text-decoration: none;
  transition: all 0.5s;
}

img {
  max-width: 100%;
}

a:hover {
  opacity: 0.7;
}

li {
  list-style: none;
}

.site-title {
  line-height: 1px;
}

.site-title a {
  display: block;
}

.sec-title {
  font-size: 1.5rem;
  margin-bottom: 20px;
  text-align: center;
}

video {
  max-width: 100%;
  width: 100%;
  height:auto;
  margin:auto auto;
}

/* 下記にクリックページ */
.news-pagination {
  text-align: center !important;
  margin: 20px 0 !important;
}

.news-pagination a,
.news-pagination span {
  display: inline-block !important;
  padding: 10px !important;
  margin: 0 5px !important;
  text-decoration: none !important;
  color: #0073aa !important;
}

.news-pagination a:hover,
.news-pagination span.current {
  background-color: #0073aa !important;
  color: #ffffff !important;
}


/* ヘッダー */
#item-1 {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}

#logo {
  width: 110px;
  height: auto; /* 必要に応じて高さを調整してください */
}

header {
  width: 100%;
  height:auto;
  display: flex;
  align-items: center; /* 垂直方向に中央揃え */
  justify-content: space-between; /* 水平方向にスペースを均等に配置 */
  padding: 20px 16px;
  position: fixed;
  z-index: 10;
  background-image:none;
}

/* ナビ関係 */
#navi {
  display: block;
  position: fixed;
  top: 0;
  left: -300px;
  bottom: 0;
  width: 300px;
  color: #fff;
  padding: 60px 25px;
  background-color: #121212;
  overflow-x: hidden;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
  transition: all .5s;
  z-index: 20;
  opacity: 0;
}

#navi a {
  color: #fff;
}

.open #navi {
  left: 0;
  opacity: 1;
}

#navi ul {
  margin: 0;
  padding: 0;
}

#navi ul.nav-menu {
  margin-bottom: 60px;
  border-top: solid 1px #fff;
}

#navi ul.nav-menu li {
  position: relative;
  margin: 0;
  padding: 20px 0;
  border-bottom: solid 1px #fff;
}

#navi ul.nav-sns li {
  padding: 5px 0;
}

.toggle_btn {
  display: block;
  position: fixed;
  top: 60px;
  right: 20px;
  width: 30px;
  height: 30px;
  transition: all .5s;
  cursor: pointer;
  z-index: 20;
}

.toggle_btn span {
  display: block;
  position: absolute;
  left: 0;
  width: 30px;
  height: 2px;
  background-color: #333;
  border-radius: 4px;
  transition: all .5s;
}

.toggle_btn span:nth-child(1) {
  top: 4px;
}

.toggle_btn span:nth-child(2) {
  top: 14px;
}

.toggle_btn span:nth-child(3) {
  bottom: 4px;
}

.open .toggle_btn span {
  background-color: #fff;
}

.open .toggle_btn span:nth-child(1) {
  transform: translateY(10px) rotate(-315deg);
}

.open .toggle_btn span:nth-child(2) {
  opacity: 0;
}

.open .toggle_btn span:nth-child(3) {
  transform: translateY(-10px) rotate(315deg);
}

#mask {
  display: none;
  transition: all .5s;
}

.open #mask {
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #000;
  opacity: .8;
  z-index: 10;
  cursor: pointer;
}


/* フッター */
footer {
  background-color: black;
  color: white;
  width: 100%;
  height: 550px;
  padding-top: 0.2rem;
}

#contact-text {
  margin-left: 1rem;
  margin-right: 1rem;
}

.type-text {
  width: 100%;
  height: 20px;
}

textarea {
  width: 100%;
  height: 50px;
}

.contact-submit {
  width: 100%;
  height: 30px;
  margin-top: 1rem;
  font-size: 1rem;
}

.contact-text2 {
  color:none;
  color:white;
}

/* カテゴリーまとめページ　共通 */
#snap, #category {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 0 auto;
  width: 100%;
  max-width: 1200px; /* お好みの最大幅 */
  padding-left: 1rem; /* 左右の余白 */
  padding-right: 1rem;
  box-sizing: border-box;
}

/* snap,map */

.item-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100%;
  height:auto;
  box-sizing: border-box; 
  margin:0;
  padding:0;
}

/* メイン関係　カテゴリまとめページ */
/* snap,map */
.main-text-2 {
  text-align: center;
  padding-top: 120px;
  font-size: 25px;
}

.item-2{
  width:100%;
  height: 100%;
  margin:auto auto;
  padding:0;
}

.grid {
  display: grid;
  justify-items: center;
  align-items: center;
  grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
  grid-template-columns: repeat(2, 1fr);
  gap: 40px;
  padding: 0;
  margin: 0 auto;
  width: 100%;
  max-width: 1200px; /* お好みの最大幅 */
  padding-left: 1rem; /* 左右の余白を調整 */
  padding-right: 1rem;
  margin-bottom:1rem;
  box-sizing: border-box;
}

.contents-img {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width:100%;
  height:auto;
  box-sizing: border-box; 
  object-fit: cover;
}

/* その他 */
.category-cat {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width:100%;
  height:auto;
  box-sizing: border-box; 
  padding: 0,5rem; /* 追加: 内側の余白を設定 */
  font-size:12px;
  word-break: break-word; /* 追加: 長い単語を折り返す */
}



/*coordnation-make,feature, prosthetics,sponsors*/

/* メイン */
.item-category {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding:0;
  margin:0;
  padding-top:10rem;
  width:100%;
  height:auto;
}

.item-category2 {
  display: flex;
  border: grey solid 2px;
  width: 100%;
  height:auto;
  margin: 0;
  padding:0;
  overflow: hidden; /* 画像がテキストの高さに合わせて切り取られるのを防ぐ */
}

.main-text-1 {
  text-align: center;
  padding-top: 120px;
  font-size: 25px;
}

.category-img {
  width: 100%; /* アイテム内の全幅 */
  height: auto; /* 高さは自動調整 */
  object-fit: cover; /* 画像が枠内に納まるように調整 */
  margin: 0; /* 余白を無くす */
  padding: 0; /* パディングを無くす */
}


/* リンク全体をクリック可能にするためのスタイル */
.item-category2 a {
  display: flex;
  align-items: center;
  text-decoration: none;
  color: inherit;
  width: 100%; /* 親の幅にフィット */
  height: 100%; /* 親の高さにフィット */
}



.grid-2 {
  display: grid;
  justify-items: center;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  grid-template-columns: repeat(1, 1fr);
  gap: 20px; /* アイテム間の余白を軽減 */
  padding: 0;
  margin: 0 auto; /* 中央寄せ */
  margin-bottom:5rem;
}



/* カテゴリ　まとめページ　マップのみ */
.map-img {
  margin:0;
  padding:0;
  width:100%;
  height:30;
  margin:auto auto;
  margin-top:2rem;
}


/* カテゴリー各ページ(横) */
/* スナップ、ブランド、補装具,スポンサ */
.contents {
  width: 100%;
  max-width: 100%;
  box-sizing: border-box; /* 追加: パディングとボーダーを含めたレイアウト計算 */
}

.contens-main {
  display: flex; /* フレックスボックスを使用 */
  flex-direction: column; /* 縦並びにするために追加 */
  justify-content: center; /* 水平方向に中央揃え */
  align-items: center; /* 垂直方向に中央揃え */
  padding-top: 8rem;
  margin: auto 1rem;
  margin-bottom:1rem;
}


.contents-img2 {
  display: flex;
  width:70%;
  margin:1rem auto;
}

.contents-text {
  margin:auto;
  margin-bottom:2rem;
}

.contents-video {
  display: flex;
  flex-direction: column; /* 縦並びにするために追加 */
  justify-content: center; /* 水平方向に中央揃え */
  align-items: center; /* 垂直方向に中央揃え */
  width: 70%;
  margin-top:auto;
  margin-bottom:5%;
}


/*カテゴリー各ページ  
マップ */
.map-main {
  padding-top: 8rem;
  margin: 0;
  margin:auto 0.5rem;
}

.map-contents-img {
  display: flex;
  justify-content: center; /* 水平方向に中央揃え */
  align-items: center; /* 垂直方向に中央揃え場合にはお好みで追加 */
}

.map-text {
  padding:0;
  margin:0;
  font-size: 18px;
}

.map-contents-icon{
  width: 90%;
}

.map-area {
  margin-left:1rem;
  color:palevioletred;
}

.map-link {
  color: orange;
  text-decoration: none;
  transition: all 0.5s;
}

ul {
  margin-bottom:2rem;
}

li {
  list-style: none;
  line-height:40px;
}


/* PC用 */
@media screen and (min-width: 866px) {
  /* カテゴリー別固定ページ、個別ページ共通 */

  body {
      padding: 0;
      margin: auto;
  }

  video {
    width:100%;
    height:auto;
  }

  .sec-title {
      font-size: 2.25rem;
      margin-bottom: 30px;
  }

/* ヘッダーとナビ */
  #header {
      padding: 20px 40px;
  }

  #logo {
    width: 200px;
    height: auto; /* 必要に応じて高さを調整してください */
  }

  .toggle_btn {
      right: 45px;
  }

  .news-pagination {
    margin-left:2rem;
  }

  /* フッター */
  #contact-text {
      display: flex;
      justify-content: space-around;
  }

  #cantact-form {
      margin-right: 10%;
  }

  .type-text {
      padding-right: 100%;
  }

  textarea {
      padding-right: 100%;
      padding-bottom: 3rem;
  }

#navi ul.nav-menu {
  margin-bottom: 0; /* 余計な空白を削除 */
}

#navi ul.nav-sns {
  padding-top: 30px; /* メニューとSNSリストの間に隙間を追加 */
  border-top: solid 1px #fff; /* 境界線を追加 */
}

/* メイン関係　カテゴリまとめページ 共通 */
#snap, #category {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 0 auto;
  width: 100%;
  max-width: 1200px; /* お好みの最大幅 */
  padding-left: 4rem; /* 左右の余白 */
  padding-right: 4rem;
  box-sizing: border-box;
}

.item-content {
  width:100%;
}

/* メイン関係　カテゴリまとめページ */
/* /* snap,map  */

.main-text-2 {
  padding-top: 180px;
}

.grid {
  display: grid;
  justify-items: center;
  align-items: center;
  grid-template-columns: repeat(4, 1fr);
  gap: 30px;
  padding: 0;
  margin: 0 auto;
  width: 100%;
  max-width: 1200px; /* お好みの最大幅 */
  padding-left: 2rem; /* 左右の余白を調整 */
  padding-right: 2rem;
  box-sizing: border-box;
  margin-bottom:1rem;
}

/* カテゴリーまとめページ　共通 */

.item-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100%;
  height:auto;
  box-sizing: border-box; 
  margin:0;
  padding:0;
}

/* メイン関係　カテゴリまとめページ */
/* snap,map */
.main-text-2 {
  text-align: center;
  padding-top: 120px;
  font-size: 25px;
}

.category-cat {
  width:100%;
  font-size:12px;
  word-break: break-word; /* 追加: 長い単語を折り返す */
}

/* メイン関係　カテゴリまとめページ */


/*coordnation-make,feature, prosthetics,sponsors*/
.main-text-1 {
  margin-bottom:5rem;
}

.category-img{
  width:55%; /* 画像がアイテム内で横幅を合わせる */
  height: 55vh; /* 高さは自動で調整 */
  object-fit: cover;
  
}

.grid-2 {
  display: grid;
  justify-items: center;
  grid-template-columns: repeat(2, 1fr);
  gap: 50px;
  padding: 0;
}

/* カテゴリ　まとめページ　マップのみ */
.map-img {
  padding:0;
  width:50%;
  height:30;
  margin-left:30%;
}

/* カテゴリー個別ページ */

/* スナップ,ブランド、補装具、スポンサー*/
.contens-main {
  flex-direction: row; /* 横並びに設定 */
  justify-content: center; /* 水平方向に中央揃え */
  align-items:start;; /* 垂直方向に中央揃え */
  padding-top: 14rem;
  margin: auto auto;
}

.contents-text {
  margin-top:0;
  margin-bottom:0;
  width:40%;
}

.contents-video {
  margin-top: 0; 
  width: 60%;
  margin-bottom:10%;
}

.contents-img2 {
  display: flex;
  width:60%;
  margin:1rem auto;
}

/*カテゴリー各ページ  マップ */
.map-main {
  padding-top: 14rem;
  margin-left:5rem ;
}


.map-text {
  padding:0;
  margin:0;
}

.map-contents-icon{
  width: 50%;
  margin-bottom:3rem;
}

}
